# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
BuildRequires: gcc-c++ pkgconfig(alsa)
# END SourceDeps(oneline)
Requires: /usr/bin/jackd
Name:           vmpk
Version:        0.4.0
Release:        alt2_7
Summary:        Virtual MIDI Piano Keyboard
Group:          Sound
# The entire source code is GPLv3+ except src/qticonloader.* which are (LGPLv2
# with exceptions or GPLv3)
License:        GPLv3+ and (LGPLv2 with exceptions or GPLv3)
URL:            http://vmpk.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
# Configuration-only patch, to link with RtMidi shared object
Patch0:         vmpk-0.4.0-shared-rtmidi.patch

BuildRequires:  qt4-devel
BuildRequires:  rtmidi-devel
BuildRequires: ctest cmake
BuildRequires:  desktop-file-utils
Source44: import.info

%description
VMPK is a MIDI event generator/receiver. It doesn't produce any sound by
itself, but can be used to drive a MIDI synthesizer (either hardware or
software, internal or external). You can use the computer's keyboard to play
MIDI notes, and also the mouse. You can use the Virtual MIDI Piano Keyboard to
display the played MIDI notes from another instrument or MIDI file player.

This package is compiled with JACK driver.

%prep
%setup -q
%patch0 -p1
rm -f src/Rt{Error,Midi}.*

%build
%{fedora_cmake} . -DRTMIDI_DRIVER=JACK
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

%check
desktop-file-validate $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop

%files
%doc NEWS README ChangeLog AUTHORS TODO COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/*/apps/*
%{_mandir}/man1/%{name}.1.*


%changelog
* Thu Mar 14 2013 Igor Vlasenko <viy@altlinux.ru> 0.4.0-alt2_7
- update to new release by fcimport

* Fri Feb 08 2013 Igor Vlasenko <viy@altlinux.ru> 0.4.0-alt2_6
- added jack dependency

* Thu Feb 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.4.0-alt1_6
- initial fc import

